package WebServices;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * This class was generated by the JAX-WS RI. JAX-WS RI 2.2.6-1b01 Generated
 * source version: 2.2
 *
 */
@WebService(name = "InsercionFacturacionPortType", targetNamespace = "InsercionFacturacion")
@SOAPBinding(style = SOAPBinding.Style.RPC)
@XmlSeeAlso({
    ObjectFactory.class
})
public interface InsercionFacturacionPortType {

    /**
     *
     * @param infoFacturacion
     * @return returns t1.InfoFACResult
     */
    @WebMethod(operationName = "RecibirInfoFactura", action = "http://192.168.1.175/Administracion/WSFundonar/Index.php/RecibirInfoFactura")
    @WebResult(name = "InfoFACResult", partName = "InfoFACResult")
    public InfoFACResult recibirInfoFactura(
            @WebParam(name = "InfoFacturacion", partName = "InfoFacturacion") InfoFacturacion infoFacturacion);

    /**
     *
     * @param anulaFacturas
     * @return returns t1.InfoFACResult
     */
    @WebMethod(operationName = "AnularFacturas", action = "http://192.168.1.175/Administracion/WSFundonar/Index.php/AnularFacturas")
    @WebResult(name = "InfoFACResult", partName = "InfoFACResult")
    public InfoFACResult anularFacturas(
            @WebParam(name = "AnulaFacturas", partName = "AnulaFacturas") AnulaFacturas anulaFacturas);

    /**
     *
     * @param recibos
     * @return returns t1.InfoFACResult
     */
    @WebMethod(operationName = "RecibosdeCaja", action = "http://192.168.1.175/Administracion/WSFundonar/Index.php/RecibosdeCaja")
    @WebResult(name = "InfoFACResult", partName = "InfoFACResult")
    public InfoFACResult recibosdeCaja(
            @WebParam(name = "Recibos", partName = "Recibos") Recibos recibos);

}